/* You can add global styles to this file, and also import other style files */

@import '../theme.css';
@import "~primeng/resources/primeng.min.css";
@import "~primeicons/primeicons.css";
@import './scaffold.scss';
html {
  scroll-padding-top: 80px; /* height of sticky header */
}
// anchor links
a:not([href]){
  scroll-margin-top: $navbar-height;
}

.dt-card {
  text-align: justify;
}

html, body {
  height: 100%;
}

body {
  margin: 0;
  font-family: Roboto, "Helvetica Neue", sans-serif;
}

pre {
  overflow: auto;
  padding: 10px;
}

code {
  background-color: var(--surface-300);
  color: var(--surface-800);
}

.drugstone-header .p-tabmenu .p-tabmenu-nav .p-tabmenu-ink-bar {
  background-color: transparent;
}

.tabView .p-tabview .p-tabview-nav {
  list-style: none !important;
}

div>a, span>a, .doc-entries a {
    color: var(--primary-color);
    cursor: pointer;
    text-decoration: underline;
}

a.p-accordion-header-link {
  border-color: white !important
}

div.p-accordion-content {
  border-color: white !important
}

legend.p-fieldset-legend {
  // font-weight: 300 !important;
  font-size: 16px !important;
  a {
    text-decoration: none !important;
  }
}

#doc-page p {
  text-align: justify;
}

.figure-frame {
  display: flex;
  justify-content: center;

  img {
    display: flex;
    align-self: center;
    margin-left: auto;
    margin-right: auto;
  }
}
.figure-caption {
  text-align: justify;
  padding-left: 2rem;
  padding-right: 2rem;
  margin-top: 8px;
}


/* Importing Bootstrap SCSS file. */
@import '~bootstrap/scss/bootstrap';
